Bug 768310 - Review Request: gridftp-ifce - GridFTP abstraction layer for wlcg.
Review Request: gridftp-ifce - GridFTP abstraction layer for wlcg.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
https://svnweb.cern.ch/trac/lcgutil/wiki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-16 05:09 EST by Adrien Devresse
Modified: 2013-10-19 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version: gridftp-ifce-2.1.3-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-18 05:19:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pingou: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adrien Devresse 2011-12-16 05:09:51 EST
Spec URL: https://firwen.org/redmine/attachments/download/10/gridftp-ifce.spec
SRPM URL: https://firwen.org/redmine/attachments/download/9/gridftp-ifce-2.99.99-1.src.rpm
Description: GridFTP abstraction layer using the globus toolkit for wlcg ( CERN ). This library provides an easy way to do gridFTP file transfert.

Koji scratch : https://koji.fedoraproject.org/koji/taskinfo?taskID=3587051

rpmlint : gridftp-ifce.src: W: invalid-url Source0: gridftp-ifce-2.99.99.tar.gz
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Mohamed El Morabity 2011-12-16 08:31:32 EST
What is the real version of your sources? I can't find in the SVN repo a tag corresponding to the 2.99.99. Nothing in the commit logs too.
I suppose this package is a version 3 prerelease of gridftp-ice. So please consider the guidelines concerning prerelease versionning:
   http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Non-Numeric_Version_in_Release

automake is already required by libtool, and globus-ftp-client-devel by globus-gass-copy-devel. So you can remove automake and globus-ftp-client-devel from the BuildRequires.

About the %{_isa} macro and the documentation installation, same remarks than in https://bugzilla.redhat.com/show_bug.cgi?id=768174

You'd better use the %{configure} macro in %build instead of calling explicitely the script ./configure. The macro already sets the « --prefix=%{_prefix} » and « --libdir=%{_libdir} » options. By the way, you can also remove the « --enable-debug » and « --enable-wall » options, since the macro already sets the CFLAGS to the default ones expected by the Fedora Project: these flags already contains the -g and -Wall options.
The --disable-static option doesn't seem to work since a static library is build anyway. Unless you can fix it, you should remove this option to configure.
Comment 2 Adrien Devresse 2011-12-16 11:25:57 EST
I have updated the spec/SRPMS with following your recommendations :

- version number is now 2.1.3, the old one was a mistake
- the useless dependencies are drop, and the isa macro on buildreq too.
- %configure is now used
- the documentation is now in %_docdir
- disable-static is remove, the operation is done manually.
- internal dependencies are corrected.

Spec URL : https://firwen.org/redmine/data/docs/specs/gridftp-ifce.spec
SRPM URL: https://firwen.org/redmine/data/docs/specs/gridftp-ifce-2.1.3-1.src.rpm

rpmlint : gridftp-ifce.src: W: invalid-url Source0: gridftp-ifce-2.1.3.tar.gz
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 3 Adrien Devresse 2012-01-11 08:55:44 EST
Update : 
- correct doc directory
- update description
- create separated svn branch


Spec URL : http://firwen.org/home/specs/gridftp-ifce.spec
SRPM URL : http://firwen.org/home/specs/gridftp-ifce-2.1.3-2.src.rpm

rpmlint :
gridftp-ifce.src: W: invalid-url Source0: gridftp-ifce-2.1.3.tar.gz
4 packages and 0 specfiles checked; 0 errors, 1 warnings.


Koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=3638933
Comment 4 Pierre-YvesChibon 2012-01-15 06:58:28 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development .so files in -devel subpackage, if present.

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-%{release}
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
    rpmlint gridftp-ifce-devel-2.1.3-2.i686.rpm
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    rpmlint gridftp-ifce-debuginfo-2.1.3-2.i686.rpm
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.
    rpmlint gridftp-ifce-2.1.3-2.src.rpm
    gridftp-ifce.src: W: spelling-error Summary(en_US) lcgutil -> guiltily
    gridftp-ifce.src: W: spelling-error %description -l en_US globus -> globs, globes, glob's
    gridftp-ifce.src: W: invalid-url Source0: gridftp-ifce-2.1.3.tar.gz
    1 packages and 0 specfiles checked; 0 errors, 3 warnings.
    rpmlint gridftp-ifce-2.1.3-2.i686.rpm
    gridftp-ifce.i686: W: spelling-error Summary(en_US) lcgutil -> guiltily
    gridftp-ifce.i686: W: spelling-error %description -l en_US globus -> globs, globes, glob's
    1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-%{release}
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: SHOULD Dist tag is present.

Same comment regarding the use of space vs tab.

Also, seems you seem to be close to upstream, I would strongly encourage him to actually do tarball release. The sources can then be check for consistency using sha1sum or similar.
Comment 5 Adrien Devresse 2012-01-15 17:53:52 EST
Spec URL : http://firwen.org/home/specs/gridftp-ifce.spec
SRPM URL : http://firwen.org/home/specs/gridftp-ifce-2.1.3-3.src.rpm

rpmlint  
4 packages and 0 specfiles checked; 0 errors, 0 warnings.


Koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=3702540


[!]: MUST Buildroot is not present
     Note: Invalid buildroot found: %{_tmppath}/%{name}-%{version}-%{release}

   -> corrected 

[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.

  -> done with the %{_docdir} macro

Also, seems you seem to be close to upstream, I would strongly encourage him to
actually do tarball release.

  -> done
Comment 6 Pierre-YvesChibon 2012-01-16 09:18:32 EST
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
  MD5SUM this package     : 37be2388451d85676eb49a148731e362
  MD5SUM upstream package : 37be2388451d85676eb49a148731e362


I guess this looks all good :)

This package is therefore APPROVED.

You will be able to continue the process of integrating it in Fedora repository once you have been approved in the packager group.

However, I will finish the review of your other two submissions before doing so.

Information regarding your next steps is available at:
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
Comment 7 Adrien Devresse 2012-01-17 16:30:05 EST
New Package SCM Request
=======================
Package Name: gridftp-ifce
Short Description: GridFTP library for FTS and lcgutil
Owners: adev
Branches: f15 f16 el5 el6
InitialCC:
Comment 8 Jon Ciesla 2012-01-17 20:34:26 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-01-18 17:21:42 EST
gridftp-ifce-2.1.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gridftp-ifce-2.1.3-4.fc16
Comment 10 Fedora Update System 2012-01-19 04:10:28 EST
gridftp-ifce-2.1.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gridftp-ifce-2.1.3-4.el6
Comment 11 Fedora Update System 2012-01-27 22:27:35 EST
gridftp-ifce-2.1.3-4.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-02-15 15:00:01 EST
gridftp-ifce-2.1.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.